%global         momorel 3

Name:           perl-Test-FailWarnings
Version:        0.008
Release:        %{momorel}m%{?dist}
Summary:        Add test failures if warnings are caught
License:        Apache
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-FailWarnings/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Test-FailWarnings-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-Capture-Tiny
BuildRequires:  perl-Carp
BuildRequires:  perl-constant
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-List-Util
BuildRequires:  perl-Test-Simple >= 0.96
Requires:       perl-Carp
Requires:       perl-Test-Simple >= 0.86
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module hooks $SIG{__WARN__} and converts warnings to Test::More's
fail() calls. It is designed to be used with done_testing, when you don't
need to know the test count in advance.

%prep
%setup -q -n Test-FailWarnings-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING dist.ini LICENSE META.json perlcritic.rc README tidyall.ini
%{perl_vendorlib}/Test/FailWarnings.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-2m)
- rebuild against perl-5.18.2

* Sun Sep 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-2m)
- rebuild against perl-5.18.0

* Sat May  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-1m)
- update to 0.005

* Tue Apr 09 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.003-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
